"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

var _httpError = _interopRequireDefault(require("./http-error"));

var _moduleReplication = require("@resolve-js/module-replication");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const dropReadModel = async (pool, readModelName) => {
  const response = await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}${_moduleReplication.RESET_REPLICATION.endpoint}`, {
    method: _moduleReplication.RESET_REPLICATION.method
  });

  if (!response.ok) {
    throw new _httpError.default(await response.text(), response.status);
  }
};

var _default = dropReadModel;
exports.default = _default;
//# sourceMappingURL=drop-read-model.js.map